<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AnalysisUIOptions">
    <option name="GROUP_BY_SEVERITY" value="true" />
  </component>
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="cpatrain:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="499d4c5c-ea30-44c3-979c-8ace697f690f" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="ProjectId" id="1nsIlJlh2oUE1MhbBDghFpYTtAu" />
  <component name="ProjectViewState">
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/WebRoot/WEB-INF/lib" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\pc\Desktop\cpatrain\WebRoot" />
      <recent name="C:\Users\pc\Desktop\cpatrain\WebRoot\WEB-INF" />
      <recent name="C:\Users\pc\Desktop\cpatrain\WEB-INF\lib" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\pc\Desktop\cpatrain\WebRoot\WEB-INF\lib" />
      <recent name="C:\Users\pc\Desktop\cpatrain\WebRoot\WEB-INF" />
      <recent name="C:\Users\pc\Desktop\cpatrain" />
      <recent name="C:\Users\pc\Desktop\cpatrain\WebRoot" />
      <recent name="C:\Users\pc\Desktop\cpatrain\WEB-INF\lib" />
    </key>
  </component>
  <component name="RunManager" selected="Tomcat Server.Tomcat9">
    <configuration name="CompareTime" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="cn.org.zx.common.commutils.CompareTime" />
      <module name="cpatrain" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="cn.org.zx.common.commutils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Tomcat9" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.22" ALTERNATIVE_JRE_ENABLED="true" ALTERNATIVE_JRE_PATH="1.8">
      <option name="OPEN_IN_BROWSER" value="false" />
      <option name="UPDATE_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATE_CLASSES_ON_FRAME_DEACTIVATION" value="true" />
      <deployment>
        <artifact name="cpatrain:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_cpatrain" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="59205" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="cpatrain:war exploded" />
        </option>
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.CompareTime" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="499d4c5c-ea30-44c3-979c-8ace697f690f" name="Default Changelist" comment="" />
      <created>1612172520215</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1612172520215</updated>
      <workItem from="1612172524683" duration="846000" />
      <workItem from="1612230524636" duration="8448000" />
      <workItem from="1612241497786" duration="728000" />
      <workItem from="1612242244466" duration="2044000" />
      <workItem from="1612244412383" duration="9576000" />
      <workItem from="1612254131498" duration="3202000" />
      <workItem from="1612317718377" duration="17351000" />
      <workItem from="1612405424382" duration="21351000" />
      <workItem from="1612489882308" duration="22452000" />
      <workItem from="1613958268372" duration="4097000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="WindowStateProjectService">
    <state x="440" y="94" key="#Project_Structure" timestamp="1612242078046">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="440" y="94" key="#Project_Structure/0.0.1920.1040@0.0.1920.1040" timestamp="1612242078046" />
    <state x="414" y="175" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1612242503246">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="414" y="175" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1612242503246" />
    <state x="682" y="158" key="#com.intellij.j2ee.appServerIntegrations.ApplicationServersConfigurable" timestamp="1612234074669">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="682" y="158" key="#com.intellij.j2ee.appServerIntegrations.ApplicationServersConfigurable/0.0.1920.1040@0.0.1920.1040" timestamp="1612234074669" />
    <state x="815" y="475" key="#com.intellij.javaee.module.view.web.EditWebRootDialog" timestamp="1612231772730">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="815" y="475" key="#com.intellij.javaee.module.view.web.EditWebRootDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1612231772730" />
    <state x="856" y="262" key="#com.intellij.openapi.roots.ui.configuration.libraryEditor.LibraryEditorDialog" timestamp="1612251669423">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="856" y="262" key="#com.intellij.openapi.roots.ui.configuration.libraryEditor.LibraryEditorDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1612251669423" />
    <state x="683" y="443" key="#com.intellij.refactoring.move.MoveHandler.SelectRefactoringDialog" timestamp="1612243550344">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="683" y="443" key="#com.intellij.refactoring.move.MoveHandler.SelectRefactoringDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1612243550344" />
    <state x="739" y="400" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages" timestamp="1612243553389">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="739" y="400" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages/0.0.1920.1040@0.0.1920.1040" timestamp="1612243553389" />
    <state x="690" y="274" key="#com.intellij.util.ui.classpath.ChooseLibrariesDialog" timestamp="1612231368100">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="690" y="274" key="#com.intellij.util.ui.classpath.ChooseLibrariesDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1612231368100" />
    <state x="656" y="135" key="#mysql-connector-java-8.0.16.jar" timestamp="1612251772274">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="656" y="135" key="#mysql-connector-java-8.0.16.jar/0.0.1920.1040@0.0.1920.1040" timestamp="1612251772274" />
    <state x="634" y="260" key="FileChooserDialogImpl" timestamp="1612243032139">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="634" y="260" key="FileChooserDialogImpl/0.0.1920.1040@0.0.1920.1040" timestamp="1612243032139" />
    <state width="1877" height="282" key="GridCell.Tab.0.bottom" timestamp="1612432747566">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="282" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1612432747566" />
    <state width="1877" height="282" key="GridCell.Tab.0.center" timestamp="1612432747565">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="282" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1612432747565" />
    <state width="1877" height="282" key="GridCell.Tab.0.left" timestamp="1612432747565">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="282" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1612432747565" />
    <state width="1877" height="282" key="GridCell.Tab.0.right" timestamp="1612432747566">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="282" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1612432747566" />
    <state width="1293" height="282" key="GridCell.Tab.1.bottom" timestamp="1612346031119">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.1.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031119" />
    <state width="1293" height="282" key="GridCell.Tab.1.center" timestamp="1612346031118">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.1.center/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031118" />
    <state width="1293" height="282" key="GridCell.Tab.1.left" timestamp="1612346031118">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.1.left/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031118" />
    <state width="1293" height="282" key="GridCell.Tab.1.right" timestamp="1612346031118">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.1.right/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031118" />
    <state width="1293" height="282" key="GridCell.Tab.2.bottom" timestamp="1612346031119">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.2.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031119" />
    <state width="1293" height="282" key="GridCell.Tab.2.center" timestamp="1612346031119">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.2.center/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031119" />
    <state width="1293" height="282" key="GridCell.Tab.2.left" timestamp="1612346031119">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.2.left/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031119" />
    <state width="1293" height="282" key="GridCell.Tab.2.right" timestamp="1612346031119">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.2.right/0.0.1920.1040@0.0.1920.1040" timestamp="1612346031119" />
    <state width="1293" height="282" key="GridCell.Tab.3.bottom" timestamp="1612259438641">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.3.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1612259438641" />
    <state width="1293" height="282" key="GridCell.Tab.3.center" timestamp="1612259438641">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.3.center/0.0.1920.1040@0.0.1920.1040" timestamp="1612259438641" />
    <state width="1293" height="282" key="GridCell.Tab.3.left" timestamp="1612259438641">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.3.left/0.0.1920.1040@0.0.1920.1040" timestamp="1612259438641" />
    <state width="1293" height="282" key="GridCell.Tab.3.right" timestamp="1612259438641">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1293" height="282" key="GridCell.Tab.3.right/0.0.1920.1040@0.0.1920.1040" timestamp="1612259438641" />
    <state x="625" y="65" key="SettingsEditor" timestamp="1612405473975">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="625" y="65" key="SettingsEditor/0.0.1920.1040@0.0.1920.1040" timestamp="1612405473975" />
    <state x="662" y="254" width="596" height="532" key="find.popup" timestamp="1612253581373">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="662" y="254" width="596" height="532" key="find.popup/0.0.1920.1040@0.0.1920.1040" timestamp="1612253581373" />
    <state x="640" y="202" key="spring file set editor" timestamp="1612242807626">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="640" y="202" key="spring file set editor/0.0.1920.1040@0.0.1920.1040" timestamp="1612242807626" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/cn/org/zx/db/dbconnection/impl/DefaultDBConnection.java</url>
          <line>37</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>